/**
 * @(#)Commands.java
 *
 * Copyright:	Oathouse.com Ltd (c) 2008. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * Nothing in this notice shall be deemed to grant any rights to
 * trademarks, copyrights, patents, trade secrets or any other intellectual
 * property of the licensor or any contributor except as expressly stated
 * herein. No patent license is granted separate from the Software, for
 * code that you delete from the Software, or for combinations of the
 * Software with other software or hardware.
 */
package com.oathouse.perfectServlet.webapp.controller;

/*
 * the list of commands accepted by the servlet:
 * 
 * this enumeration allows the use of a switch control in the servlet: see the server
 * class for benefits of this
 * 
 * using enumerations also allows a single source for commands - they can be
 * used as strings as simply as (for example) Commands.actionGetCommand.toString()
 */
public enum Commands {
    defaultCommand, // this is not to be used as a command - it is returned when
                    // a "proper" command cannot be found (instead of null, 
                    // which the switch control cannot use)
    restartSession,
    actionGetCommand, 
    actionPostCommand,
    anotherCommand,
}